Summary: Utilities for managing the second extended (ext2) filesystem.
Name: e2fsprogs
Version: 1.33
Release: 1
Group: System Environment/Base
Copyright: GPL
Url: http://e2fsprogs.sourceforge.net/
Packager: Hao Li <hli@haoli.org>
Source:  http://unc.dl.sourceforge.net/sourceforge/e2fsprogs/e2fsprogs-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
The e2fsprogs package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in second
extended (ext2) filesystems. E2fsprogs contains e2fsck (used to
repair filesystem inconsistencies after an unclean shutdown), mke2fs
(used to initialize a partition to contain an empty ext2 filesystem),
debugfs (used to examine the internal structure of a filesystem, to
manually repair a corrupted filesystem, or to create test cases for
e2fsck), tune2fs (used to modify filesystem parameters), and most of
the other core ext2fs filesystem utilities.

You should install the e2fsprogs package if you need to manage the
performance of an ext2 filesystem.


%prep
%setup -q


%build
./configure --enable-elf-shlibs
make libs progs docs
make check


%install
rm -rf $RPM_BUILD_ROOT
make install install-libs DESTDIR="$RPM_BUILD_ROOT" \
	root_sbindir=/sbin root_libdir=/lib

# Replace identical files with symbolic links
cd $RPM_BUILD_ROOT/sbin
ln -sf e2fsck  fsck.ext2
ln -sf e2fsck  fsck.ext3
ln -sf tune2fs e2label
ln -sf tune2fs findfs
ln -sf mke2fs  mkfs.ext2
ln -sf mke2fs  mkfs.ext3


%post
/sbin/ldconfig
/sbin/install-info --info-dir=/usr/info /usr/info/libext2fs.info.gz

%postun
/sbin/ldconfig
/sbin/install-info --delete --info-dir=/usr/info /usr/info/libext2fs.info.gz


%files
%defattr(-,root,root)
%doc ChangeLog INSTALL README RELEASE-NOTES
/lib/*
/sbin/*
/usr/bin/*
/usr/include/*
/usr/info/*
/usr/lib/*
/usr/sbin/*
/usr/share/man/man*/*
/usr/share/et/*
/usr/share/ss/*


%clean
rm -rf $RPM_BUILD_ROOT

